Package org.eclipse.lemminx.extensions.dtd.participants.diagnostics

## Class LSPXML11DTDProcessor

- java.lang.Object
- - org.apache.xerces.impl.dtd.XMLDTDProcessor
  - - org.apache.xerces.impl.dtd.XMLDTDLoader
    - - org.apache.xerces.impl.dtd.XML11DTDProcessor
      - - org.eclipse.lemminx.extensions.dtd.participants.diagnostics.LSPXML11DTDProcessor

All Implemented Interfaces:
  `org.apache.xerces.xni.grammars.XMLGrammarLoader`, `org.apache.xerces.xni.parser.XMLComponent`, `org.apache.xerces.xni.parser.XMLDTDContentModelFilter`, `org.apache.xerces.xni.parser.XMLDTDContentModelSource`, `org.apache.xerces.xni.parser.XMLDTDFilter`, `org.apache.xerces.xni.parser.XMLDTDSource`, `org.apache.xerces.xni.XMLDTDContentModelHandler`, `org.apache.xerces.xni.XMLDTDHandler`

Direct Known Subclasses:
  `CMDTDDocument`

    public class LSPXML11DTDProcessor
    extends org.apache.xerces.impl.dtd.XML11DTDProcessor

The Xerces `XML11DTDProcessor` doesn't give the capability to customize the XML entity manager.

This class extends `XML11DTDProcessor` and customizes the XML entity manager with the `LSPXMLEntityManager` which handles the remote resource download errors.

Author:
  Angelo ZERR

### Field Summary

### Fields inherited from class org.apache.xerces.impl.dtd.XMLDTDLoader

`BALANCE_SYNTAX_TREES, ENTITY_RESOLVER, ERROR_HANDLER, fDTDScanner, fEntityManager, fEntityResolver, fLocale, LOCALE, STANDARD_URI_CONFORMANT_FEATURE`

### Fields inherited from class org.apache.xerces.impl.dtd.XMLDTDProcessor

`DTD_VALIDATOR, ERROR_REPORTER, fDTDContentModelHandler, fDTDContentModelSource, fDTDGrammar, fDTDHandler, fDTDSource, fDTDValidation, fErrorReporter, fGrammarBucket, fGrammarPool, fInDTDIgnore, fSymbolTable, fValidation, fValidator, fWarnDuplicateAttdef, fWarnOnUndeclaredElemdef, GRAMMAR_POOL, NOTIFY_CHAR_REFS, PARSER_SETTINGS, SYMBOL_TABLE, VALIDATION, WARN_ON_DUPLICATE_ATTDEF, WARN_ON_UNDECLARED_ELEMDEF`

### Fields inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler

`OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

### Fields inherited from interface org.apache.xerces.xni.XMLDTDHandler

`CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

### Constructor Summary

Constructors
`LSPXML11DTDProcessor​(org.apache.xerces.impl.XMLEntityManager entityManager, org.apache.xerces.impl.XMLErrorReporter errorReporter, org.apache.xerces.xni.parser.XMLEntityResolver entityResolver)`

### Method Summary

### Methods inherited from class org.apache.xerces.impl.dtd.XML11DTDProcessor

`createDTDScanner, getScannerVersion, isValidName, isValidNmtoken`

### Methods inherited from class org.apache.xerces.impl.dtd.XMLDTDLoader

`getEntityResolver, getErrorHandler, getFeature, getLocale, getProperty, getRecognizedFeatures, getRecognizedProperties, loadGrammar, loadGrammarWithContext, reset, setEntityResolver, setErrorHandler, setFeature, setLocale, setProperty`

### Methods inherited from class org.apache.xerces.impl.dtd.XMLDTDProcessor

`any, attributeDecl, checkStandaloneEntityRef, comment, element, elementDecl, empty, endAttlist, endConditional, endContentModel, endDTD, endExternalSubset, endGroup, endParameterEntity, externalEntityDecl, getDTDContentModelHandler, getDTDContentModelSource, getDTDHandler, getDTDSource, getFeatureDefault, getPropertyDefault, ignoredCharacters, internalEntityDecl, notationDecl, occurrence, pcdata, processingInstruction, reset, separator, setDTDContentModelHandler, setDTDContentModelSource, setDTDHandler, setDTDSource, startAttlist, startConditional, startContentModel, startDTD, startExternalSubset, startGroup, startParameterEntity, textDecl, unparsedEntityDecl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LSPXML11DTDProcessor

    public LSPXML11DTDProcessor​(org.apache.xerces.impl.XMLEntityManager entityManager,
                                org.apache.xerces.impl.XMLErrorReporter errorReporter,
                                org.apache.xerces.xni.parser.XMLEntityResolver entityResolver)